Package io.strimzi.systemtest

## Class Environment

- java.lang.Object
- - io.strimzi.systemtest.Environment

-     public class Environment
      extends Object

  Class which holds environment variables for system tests.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `BRIDGE_IMAGE` |
    `static ClusterOperatorInstallType` | `CLUSTER_OPERATOR_INSTALL_TYPE` |
    `static String` | `COMPONENTS_IMAGE_PULL_POLICY` |
    `static String` | `COMPONENTS_IMAGE_PULL_POLICY_ENV_DEFAULT` |
    `static boolean` | `DEFAULT_TO_DENY_NETWORK_POLICIES` |
    `static String` | `KUBERNETES_DOMAIN` |
    `static String` | `OLM_APP_BUNDLE_PREFIX` |
    `static String` | `OLM_APP_BUNDLE_PREFIX_DEFAULT` |
    `static String` | `OLM_OPERATOR_DEPLOYMENT_NAME` |
    `static String` | `OLM_OPERATOR_DEPLOYMENT_NAME_DEFAULT` |
    `static String` | `OLM_OPERATOR_LATEST_RELEASE_VERSION` |
    `static String` | `OLM_OPERATOR_NAME` |
    `static String` | `OLM_OPERATOR_NAME_DEFAULT` |
    `static String` | `OLM_OPERATOR_VERSION_DEFAULT` |
    `static String` | `OLM_SOURCE_NAME` |
    `static String` | `OLM_SOURCE_NAME_DEFAULT` |
    `static String` | `OLM_SOURCE_NAMESPACE` |
    `static String` | `OPERATOR_IMAGE_PULL_POLICY` |
    `static String` | `OPERATOR_IMAGE_PULL_POLICY_ENV_DEFAULT` |
    `static boolean` | `SKIP_TEARDOWN` |
    `static String` | `ST_KAFKA_VERSION` |
    `static String` | `STRIMZI_CLIENTS_ORG_DEFAULT` |
    `static String` | `STRIMZI_LOG_LEVEL` |
    `static String` | `STRIMZI_ORG` |
    `static String` | `STRIMZI_ORG_DEFAULT` |
    `static String` | `STRIMZI_RBAC_SCOPE` |
    `static String` | `STRIMZI_REGISTRY` |
    `static String` | `STRIMZI_REGISTRY_DEFAULT` |
    `static String` | `STRIMZI_TAG` |
    `static String` | `STRIMZI_TAG_DEFAULT` |
    `static String` | `SYSTEM_TEST_STRIMZI_IMAGE_PULL_SECRET` |
    `static String` | `TEST_CLIENT_IMAGE` |
    `static String` | `TEST_LOG_DIR` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `isHelmInstall()` |
    `static boolean` | `isNamespaceRbacScope()` |
    `static boolean` | `isOlmInstall()` |
    `static boolean` | `useLatestReleasedBridge()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STRIMZI_ORG_DEFAULT

          public static final String STRIMZI_ORG_DEFAULT

      See Also:
        Constant Field Values

    - #### STRIMZI_TAG_DEFAULT

          public static final String STRIMZI_TAG_DEFAULT

      See Also:
        Constant Field Values

    - #### STRIMZI_REGISTRY_DEFAULT

          public static final String STRIMZI_REGISTRY_DEFAULT

      See Also:
        Constant Field Values

    - #### STRIMZI_CLIENTS_ORG_DEFAULT

          public static final String STRIMZI_CLIENTS_ORG_DEFAULT

      See Also:
        Constant Field Values

    - #### COMPONENTS_IMAGE_PULL_POLICY_ENV_DEFAULT

          public static final String COMPONENTS_IMAGE_PULL_POLICY_ENV_DEFAULT

      See Also:
        Constant Field Values

    - #### OPERATOR_IMAGE_PULL_POLICY_ENV_DEFAULT

          public static final String OPERATOR_IMAGE_PULL_POLICY_ENV_DEFAULT

      See Also:
        Constant Field Values

    - #### OLM_OPERATOR_NAME_DEFAULT

          public static final String OLM_OPERATOR_NAME_DEFAULT

      See Also:
        Constant Field Values

    - #### OLM_OPERATOR_DEPLOYMENT_NAME_DEFAULT

          public static final String OLM_OPERATOR_DEPLOYMENT_NAME_DEFAULT

      See Also:
        Constant Field Values

    - #### OLM_SOURCE_NAME_DEFAULT

          public static final String OLM_SOURCE_NAME_DEFAULT

      See Also:
        Constant Field Values

    - #### OLM_APP_BUNDLE_PREFIX_DEFAULT

          public static final String OLM_APP_BUNDLE_PREFIX_DEFAULT

      See Also:
        Constant Field Values

    - #### OLM_OPERATOR_VERSION_DEFAULT

          public static final String OLM_OPERATOR_VERSION_DEFAULT

      See Also:
        Constant Field Values

    - #### SYSTEM_TEST_STRIMZI_IMAGE_PULL_SECRET

          public static final String SYSTEM_TEST_STRIMZI_IMAGE_PULL_SECRET

    - #### STRIMZI_ORG

          public static final String STRIMZI_ORG

    - #### STRIMZI_TAG

          public static final String STRIMZI_TAG

    - #### STRIMZI_REGISTRY

          public static final String STRIMZI_REGISTRY

    - #### TEST_LOG_DIR

          public static final String TEST_LOG_DIR

    - #### ST_KAFKA_VERSION

          public static final String ST_KAFKA_VERSION

    - #### STRIMZI_LOG_LEVEL

          public static final String STRIMZI_LOG_LEVEL

    - #### KUBERNETES_DOMAIN

          public static final String KUBERNETES_DOMAIN

    - #### SKIP_TEARDOWN

          public static final boolean SKIP_TEARDOWN

    - #### STRIMZI_RBAC_SCOPE

          public static final String STRIMZI_RBAC_SCOPE

    - #### TEST_CLIENT_IMAGE

          public static final String TEST_CLIENT_IMAGE

    - #### BRIDGE_IMAGE

          public static final String BRIDGE_IMAGE

    - #### COMPONENTS_IMAGE_PULL_POLICY

          public static final String COMPONENTS_IMAGE_PULL_POLICY

    - #### OPERATOR_IMAGE_PULL_POLICY

          public static final String OPERATOR_IMAGE_PULL_POLICY

    - #### OLM_OPERATOR_NAME

          public static final String OLM_OPERATOR_NAME

    - #### OLM_OPERATOR_DEPLOYMENT_NAME

          public static final String OLM_OPERATOR_DEPLOYMENT_NAME

    - #### OLM_SOURCE_NAME

          public static final String OLM_SOURCE_NAME

    - #### OLM_SOURCE_NAMESPACE

          public static final String OLM_SOURCE_NAMESPACE

    - #### OLM_APP_BUNDLE_PREFIX

          public static final String OLM_APP_BUNDLE_PREFIX

    - #### OLM_OPERATOR_LATEST_RELEASE_VERSION

          public static final String OLM_OPERATOR_LATEST_RELEASE_VERSION

    - #### DEFAULT_TO_DENY_NETWORK_POLICIES

          public static final boolean DEFAULT_TO_DENY_NETWORK_POLICIES

    - #### CLUSTER_OPERATOR_INSTALL_TYPE

          public static final ClusterOperatorInstallType CLUSTER_OPERATOR_INSTALL_TYPE

  - ### Method Detail

    - #### isOlmInstall

          public static boolean isOlmInstall()

    - #### isHelmInstall

          public static boolean isHelmInstall()

    - #### isNamespaceRbacScope

          public static boolean isNamespaceRbacScope()

    - #### useLatestReleasedBridge

          public static boolean useLatestReleasedBridge()